import DashboardMachineryOfficeComponent from "@/components/dashboard/machinary-office";
import {parse} from "next-useragent";

export default function PassengerOffice() {
    return (
        <DashboardMachineryOfficeComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.machinary_office_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_machinery_navgan"]}}
        },
    };
}
